dpkg-buildpackage(1)

NOM
dpkg-buildpackage - Construire depuis les sources des paquets binaires ou sources

SYNOPSIS
dpkg-buildpackage [options]

DESCRIPTION
dpkg-buildpackage est un script de contrôle qui peut faciliter la construction automatique d'un paquet.

OPTIONS

-b  Indique que seul un paquet binaire est à construire ; aucun fichier source n'est à construire et/ou à distribuer.

-B  Indique que seul un paquet binaire est à construire ; aucun fichier, appartenant à un paquet binaire ne dépendant pas d'une architecture, n'est à distribuer.

-S  Ne construit qu'un paquet source, aucun paquet binaire ne sera construit.

Les options -sx contrôlent si l'archive source originale est incluse dans l'installation produite si un paquet source est créé (cad. que les options -b ou -B n'ont pas été utilisées).

-si Par défaut, ou quand l'option est indiquée, les sources originales sont incluses uniquement si le numéro de version majeur (cad la version sans les parties epoch et « révision Debian ») diffère de la version précédente indiquée dans le fichier de changelog.

-sa Force l'inclusion des sources originelles.

-sd Force l'exclusion des sources originelles et inclut seulement le « diff ».

-aarchitecture
    Précise l'architecture Debian pour laquelle on construit. L'architecture de la machine sur laquelle on construit est automatiquement déterminée ; c'est aussi l'architecture par défaut de la machine hôte. Si l'architecture de l'hôte est différente de l'architecture construite (comme c'est le cas lors de compilation croisée) et si la variable d'environnement PKG_CONFIG_LIBDIR n'est pas renseignée, alors elle est positionnée à une valeur adaptée à la compilation croisée ("/usr/selon-système-gnu/lib/pkgconfig/:/usr/share/pkgconfig").

-ttype-de-système-gnu
    Précise le type de système GNU pour lequel construire. Il peut être utilisé à la place de -a ou en tant que complément afin de remplacer le type de système GNU par défaut de l'architecture Debian cible.

-jjobs
    Le nombre de processus simultanés qui peuvent être exécutés, équivalent à l'option make(1) du même nom. S'ajoutera tout seul à la variable d'environnement MAKEFLAGS, ce qui peut causer autant d'invocation de MAKE pour obtenir cette option. Ajoute aussi parallel=jobs à la variable d'environnement DEB_BUILD_OPTIONS ce qui permet aux fichiers debian/rules d'utiliser cette information pour leurs propres besoins. La présence de parallel=jobs dans la variable d'environnement DEB_BUILD_OPTIONS remplace la valeur de l'option -j si elle est précisée.

-vversion
    Utilise les informations contenues dans le fichier « changelog » et qui concernent toutes les versions strictement plus récentes que version.

-Cdescription-des-changements
    Lit la description des changements dans le fichier description-des-changements plutôt que dans le fichier « changelog » de l'arborescence source.

-madresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet plutôt que d'utiliser les informations contenues dans le fichier « control » de l'arborescence source.

-eadresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet pour cette mise en place, plutôt que d'utiliser les informations contenues dans le fichier « changelog » de l'arborescence source.

-D  Vérifier les dépendances de constructions et les conflits ; se termine en cas de problèmes.

-d  Ne pas vérifier les dépendances de constructions et les conflits.

-E  Transforme certains avertissements en erreurs. Seul dpkg-source l'utilise, mais dpkg-buildpackage la reconnaît et la transmet à dpkg-source.

-W  Annule une option -E utilisée précédemment. Seul dpkg-source l'utilise, mais dpkg-buildpackage la reconnaît et la transmet à dpkg-source.

-nc Ne pas nettoyer l'arborescence source (implique l'option -b).

-tc Nettoyage de l'arborescence (en utilisant commande-pour-obtenir-privilèges-de-root debian/rules clean) après la construction du paquet.

-rcommande-pour-obtenir-privilèges-de-root
    Quand dpkg-buildpackage doit exécuter une partie du processus de construction en tant que root, il préfixe la commande exécutée par commande-pour-obtenir-privilèges-de-root, si une a été spécifié. Si ce n'est pas le cas alors fakeroot est utilisé par défaut. commande-pour-obtenir-privilèges-de-root doit débuter par le nom d'un programme accessible depuis PATH et avoir comme arguments le nom de la commande réelle avec les arguments qu'elle doit prendre. commande-pour-obtenir-privilèges-de-root peut recevoir des paramètres (ils doivent être séparés par des espaces) mais aucun « métacaractère » de l'interpréteur de commandes. Classiquement commande-pour-obtenir-privilèges-de-root devrait être fakeroot, sudo, super ou really. su ne va pas, puisque ce programme peut uniquement utiliser l'interpréteur de commandes de l'utilisateur avec l'option -c au lieu de passer directement les arguments à la commande qui doit être exécutée.

-Rfichier-rules
    Construire un paquet Debian implique généralement l'invocation de debian/rules comme une commande avec de nombreux paramètres standards. Avec cette option, il est possible d'utiliser un autre programme à utiliser pour la construction de paquet (ainsi que ses paramètres séparés par des espaces). Une autre utilisation possible est d'exécuter le fichier rules standard avec un autre programme de construction (par exemple en utilisant /usr/local/bin/make -f debian/rules comme fichier-rules).

-pcommande-de-signature
    Quand dpkg-buildpackage doit exécuter GPG ou PGP pour signer un fichier source de contrôle (.dsc) ou un fichier .changes, il exécute commande-de-signature (en examinant le PATH si nécessaire) au lieu de pgp. commande-de-signature obtient tous les arguments qu'aurait obtenu pgp. Si commande-de-signature veut recevoir ses arguments à la manière GPG plutôt qu'à la manière PGP, on choisira l'option -sgpg. commande-de-signature ne contiendra pas d'espace ni aucun «métacaractère » de l'interpréteur de commandes.

-kkey-id
    Précise une clé pour la signature des paquets.

-us Ne pas signer le paquet source.

-uc Ne pas signer le fichier « .changes ».

-i[regexp]
    Chaîne passée telle quelle à dpkg-source.

-I[motif]
    Fichier passé tel quel à dpkg-source. Peut être répété plusieurs fois.

-s[nsAkurKUR]
    Chaîne passée telle quelle à dpkg-source.

-z, -Z
    Chaîne passée telle quelle à dpkg-source.

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT
Un ensemble de variables d'environnement pour la configuration des options du compilateur et de l'éditeur de lien sont réglés par défaut sauf si elles ont déjà été fixées dans l'environnement. Notez que ce mécanisme a été mis en place qu'à partir de la version 1.14.17 de dpkg-dev et que tous les fichiers rules et les outils de construction n'utilisent pas encore ces variables.

CFLAGS
    Les options d'optimisation qui sont passées au système de construction Debian et qui peuvent être remplacées par le générateur de paquet si besoin (valeur par défaut : -g -O2, ou -g -O0 si noopt est indiqué dans DEB_BUILD_OPTIONS). Remplacer ces options peut être utilisé pour fixer un niveau d'optimisation plus élevé, ou plus de travail dans la recherche de bogues, qui ne peuvent être détectés qu'avec certains niveaux d'optimisation (le dernier niveau d'optimisation "gagne").

CFLAGS_APPEND
    Les options d'optimisation passées sur les drapeaux du compilateur, qui ne doivent pas être remplacé par ceux du paquet (le plus souvent utilisé pour faire des tests de construction). Valeur par défaut : aucune.

CXXFLAGS
    Identique à CFLAGS pour des sources en C++.

CXXFLAGS_APPEND
    Identique à CFLAGS_APPEND pour des sources en C++.

FFLAGS
    Identique à CFLAGS pour des sources en Fortran.

FFLAGS_APPEND
    identique à CFLAGS_APPEND pour des sources en Fortran.

CPPFLAGS
    Les drapeaux du préprocesseur qui sont passés au système de construction Debian peuvent être remplacés par ceux du paquet en construction si besoin ( par défaut : aucun). Cette macro est rarement utilisée (la plupart des systèmes de construction utilisent simplement CFLAGS au lieu de CPPFLAGS).

CPPFLAGS_APPEND
    Drapeaux du préprocesseur liés à ceux de ce dernier, qui ne doivent pas être remplacés par ceux du paquet (le plus souvent utilisé pour des tests de construction). Valeur par défaut : aucuns.

LDFLAGS
    Options passées au compilateur lors du processus de liaison des exécutables ou des objets partagés (si le linker est appelé directement, alors -Wl et , doivent être retirés de ces options. Valeur par défaut: aucunes.

LDFLAGS_APPEND
    Options d'optimisation passées par les drapeaux du compilateur durant la phase de liaison, qui ne doivent pas être remplacés par ceux du paquet (le plus souvent utilisé pour des tests de construction). Valeur par défaut : aucunes.

BOGUES
On devrait pouvoir mettre des espaces et des métacaractères du shell dans les arguments initiaux de commande-pour-obtenir-privilèges-de-root et commande-de-signature.

VOIR AUSSI
dpkg-source(1), dpkg-architecture(1), dpkg-genchanges(1), gpg(1), pgp(1).

AUTEURS
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman
Copyright (C) 2007 Frank Lichtenheld

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.